This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 232619 - Review Request: perl-XML-SAX-Writer - SAX2 Writer
Review Request: perl-XML-SAX-Writer - SAX2 Writer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On: 232618
Blocks: 232620
  Show dependency treegraph
 
Reported: 2007-03-16 09:26 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 06:18:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ville.skytta: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2007-03-16 09:26:13 EDT
Spec URL: http://home.bawue.de/~ixs/perl-XML-SAX-Writer/perl-XML-SAX-Writer.spec
SRPM URL: http://home.bawue.de/~ixs/perl-XML-SAX-Writer/perl-XML-SAX-Writer-0.50-1.src.rpm
Description:

A new XML Writer to match the SAX2 effort.
Comment 1 Ville Skyttä 2007-03-17 16:13:03 EDT
* These explicit dependencies are dupes of (unversioned) autogenerated ones,
just remove them?  The versions seem to come from Makefile.PL but upstream has
chose to not require any particular version of things at runtime.
perl(Text::Iconv) >= 1.2
perl(XML::Filter::BufferText) >= 1.00
perl(XML::NamespaceSupport) >= 1.00
perl(XML::SAX::Exception) >= 1.01

* Doing the iconv-to-UTF-8 stuff for the man page only doesn't help perldoc. 
Doing it for Writer.pm in %prep would work for both man and perldoc.
Comment 2 Andreas Thienemann 2007-03-17 18:24:52 EDT
http://home.bawue.de/~ixs/perl-XML-SAX-Writer/perl-XML-SAX-Writer-0.50-2.src.rpm

new spec, fixing these issues.
Comment 3 Ville Skyttä 2007-03-18 06:35:14 EDT
Approved
Comment 4 Andreas Thienemann 2007-03-18 07:53:30 EDT
New Package CVS Request
=======================
Package Name: perl-XML-SAX-Writer
Short Description: SAX2 Writer
Owners: andreas@bawue.net
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Jens Petersen 2007-03-19 20:06:31 EDT
done
Comment 6 Andreas Thienemann 2007-03-23 06:18:20 EDT
Thanks for the review. Package has been built for FC-5, FC-6 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.